from enum import Enum


# Technically this is RBAC around the same resource (org retention) but the role service does not allow scoping
# by `action` just `resource`.  This originally used the existing CSR resource 'csr.org.provisioning' as the only
# use case was for CSR access.  New use cases require customer view into orgs configured retention.  Since we don't
# want customers to be able to update their retention settings we need 2 resources here, one for updates and one
# for reads.
class Resource(Enum):
    provisioning = "csr.org.provisioning"
    internal = "csr.internal"
    retention = "org.retention"
